阿里云-云小站(无限量代金券发放中)
【腾讯云】云服务器、云数据库、COS、CDN、短信等热卖云产品特惠抢购

CentOS 6.2编译gcc失败,kernel-headers错误

111次阅读
没有评论

共计 934 个字符,预计需要花费 3 分钟才能阅读完成。

准备转移到阿里云服务器,用的 CentOS6.2 x64,虚拟机上用的 6.3 版本,测试重装了好几次都没问题了,结果在云服务器上刚开始就出问题了。

yum 安装的时候居然出错了,发现也有同学用阿里云的服务器出现这个问题,有了个解决方案,顺便 copy 过来 整理了下!

也不知道是不是阿里云服务器的系统原版有问题啊。。

错误描述:

Error: Package: glibc-headers-2.12-1.80.el6_3.4.x86_64 (updates)
Requires: kernel-headers >= 2.2.1
Error: Package: glibc-headers-2.12-1.80.el6_3.4.x86_64 (updates)
Requires: kernel-headers
You could try using –skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), ‘yum check’ output follows:
kernel-2.6.32-220.13.1.el6.x86_64 has missing requires of kernel-firmware >= (‘0’, ‘2.6.32’, ‘220.13.1.el6’)

步骤:

1. 查看自己服务器的 kernel 版本号

2. 下载对应的 kernel-headers 版本

地址:

http://rpm.pbone.net/index.php3/stat/4/idpl/18032865/dir/scientific_linux_6/com

wget ftp://ftp.ntua.gr/pub/linux/scientificlinux/6.0/x86_64/updates/security/kernel-headers-2.6.32-220.13.1.el6.x86_64.rpm

3. 安装 rpm 包

rpm -Uvh kernel-headers-2.6.32-220.13.1.el6.x86_64.rpm

4. 完成!!!可以继续 yum 下去了。

更多 CentOS 相关信息见 CentOS 专题页面 http://www.linuxidc.com/topicnews.aspx?tid=14

正文完
星哥说事-微信公众号
post-qrcode
 
星锅
版权声明:本站原创文章,由 星锅 2022-01-20发表,共计934字。
转载说明:除特殊说明外本站文章皆由CC-4.0协议发布,转载请注明出处。
【腾讯云】推广者专属福利,新客户无门槛领取总价值高达2860元代金券,每种代金券限量500张,先到先得。
阿里云-最新活动爆款每日限量供应
评论(没有评论)
验证码
【腾讯云】云服务器、云数据库、COS、CDN、短信等云产品特惠热卖中